openSUSE Security Update: Security update for mbedtls______________________________________________________________________________Announcement ID: openSUSE-SU-2021:1389-1Rating: moderateReferences: #1189589 Cross-References: CVE-2021-24119CVSS scores: CVE-2021-24119 (NVD) : 4.9 CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:U/C:H/I:N/A:NAffected Products: openSUSE Backports SLE-15-SP3______________________________________________________________________________ An update that fixes one vulnerability is now available.Description: This update for mbedtls fixes the following issues: * CVE-2021-24119: Fixed side-channel vulnerability in base64 PEM [boo#1189589] Guard against strong local side channel attack against base64 tables by making access aceess to them use constant flow code.Patch Instructions: To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Backports SLE-15-SP3: zypper in -t patch openSUSE-2021-1389=1Package List: - openSUSE Backports SLE-15-SP3 (aarch64 i586 ppc64le s390x x86_64): libmbedcrypto3-2.16.9-bp153.2.5.1 libmbedtls12-2.16.9-bp153.2.5.1 libmbedx509-0-2.16.9-bp153.2.5.1 mbedtls-devel-2.16.9-bp153.2.5.1 - openSUSE Backports SLE-15-SP3 (aarch64_ilp32): libmbedcrypto3-64bit-2.16.9-bp153.2.5.1 libmbedtls12-64bit-2.16.9-bp153.2.5.1 libmbedx509-0-64bit-2.16.9-bp153.2.5.1 - openSUSE Backports SLE-15-SP3 (x86_64): libmbedcrypto3-32bit-2.16.9-bp153.2.5.1 libmbedtls12-32bit-2.16.9-bp153.2.5.1 libmbedx509-0-32bit-2.16.9-bp153.2.5.1References: https://www.suse.com/security/cve/CVE-2021-24119.html https://bugzilla.suse.com/1189589

More...